import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent$1 from '../../BaseComponent.js';
import _mergeJSXProps$1 from '@vue/babel-helper-vue-jsx-merge-props';
import { BaseButton as BaseButton$1 } from '../BaseButton.js';
import { getStyles } from './ActionButton.styles.js';

var ActionButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(ActionButton, _BaseComponent);

  var _super = _createSuper(ActionButton);

  function ActionButton() {
    _classCallCheck(this, ActionButton);

    return _super.apply(this, arguments);
  }

  _createClass(ActionButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];

      var props = _objectSpread2(_objectSpread2({}, this.$props), {}, {
        variantClassName: 'ms-Button--action ms-Button--command',
        styles: this.internalStyles
      });

      return h(BaseButton$1, _mergeJSXProps$1([{}, {
        props: props,
        attrs: this.$attrs,
        on: this.$listeners,
        scopedSlots: this.$scopedSlots
      }]));
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getStyles(theme, styles);
    }
  }]);

  return ActionButton;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], ActionButton.prototype, "href", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], ActionButton.prototype, "disabled", void 0);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], ActionButton.prototype, "iconProps", void 0);

ActionButton = __decorate([Component], ActionButton);

export { ActionButton };
