import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Component } from 'vue-property-decorator';
import BaseComponent$1 from '../../BaseComponent.js';
import { BaseButton as BaseButton$1 } from '../BaseButton.js';
import { getStyles } from './CommandBarButton.styles.js';

var CommandBarButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(CommandBarButton, _BaseComponent);

  var _super = _createSuper(CommandBarButton);

  function CommandBarButton() {
    _classCallCheck(this, CommandBarButton);

    return _super.apply(this, arguments);
  }

  _createClass(CommandBarButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var props = {
        variantClassName: 'ms-Button--commandBar',
        styles: this.internalStyles
      };
      return h(BaseButton$1, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getStyles(theme, styles);
    }
  }]);

  return CommandBarButton;
}(BaseComponent$1);

CommandBarButton = __decorate([Component], CommandBarButton);

export { CommandBarButton };
