import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Component } from 'vue-property-decorator';
import BaseComponent$1 from '../../BaseComponent.js';
import { BaseButton as BaseButton$1 } from '../BaseButton.js';
import { DefaultButton as DefaultButton$1 } from '../DefaultButton/DefaultButton.js';
import { getStyles } from './MessageBarButton.styles.js';

var MessageBarButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(MessageBarButton, _BaseComponent);

  var _super = _createSuper(MessageBarButton);

  function MessageBarButton() {
    _classCallCheck(this, MessageBarButton);

    return _super.apply(this, arguments);
  }

  _createClass(MessageBarButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var internalStyles = this.internalStyles;
      var props = {
        variantClassName: 'ms-Button--icon',
        styles: internalStyles
      };
      return h(BaseButton$1, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      return getStyles(this.theme, this.styles);
    }
  }]);

  return MessageBarButton;
}(BaseComponent$1);

MessageBarButton = __decorate([Component({
  components: {
    DefaultButton: DefaultButton$1
  }
})], MessageBarButton);

export { MessageBarButton };
