import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import BaseComponent$1 from '../../BaseComponent.js';
import { DetailsColumn as DetailsColumn$1 } from '../DetailsColumn/DetailsColumn.js';

var getClassNames = classNamesFunction();

var DetailsHeaderBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DetailsHeaderBase, _BaseComponent);

  var _super = _createSuper(DetailsHeaderBase);

  function DetailsHeaderBase() {
    _classCallCheck(this, DetailsHeaderBase);

    return _super.apply(this, arguments);
  }

  _createClass(DetailsHeaderBase, [{
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          columns = this.columns;
      return h("div", {
        "class": classNames.root,
        "attrs": {
          "role": "row"
        }
      }, [columns.map(function (column, index) {
        return h(DetailsColumn$1, {
          "key": column.key,
          "attrs": {
            "column": column,
            "columnIndex": index,
            "parentId": _this.uid
          }
        });
      })]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          theme = this.theme,
          className = this.className;
      return getClassNames(styles, {
        theme: theme,
        isAllSelected: false,
        isSelectAllHidden: false,
        isResizingColumn: false,
        isSizing: false,
        isAllCollapsed: false,
        isCheckboxHidden: false,
        className: className
      });
    }
  }]);

  return DetailsHeaderBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  required: true
}), __metadata("design:type", Array)], DetailsHeaderBase.prototype, "columns", void 0);

DetailsHeaderBase = __decorate([Component({
  components: {
    DetailsColumn: DetailsColumn$1
  }
})], DetailsHeaderBase);

export { DetailsHeaderBase };
