import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Component } from 'vue-property-decorator';
import BaseComponent$1 from '../../BaseComponent.js';
import _mergeJSXProps$1 from '@vue/babel-helper-vue-jsx-merge-props';
import { BaseButton as BaseButton$1 } from '../../Button/BaseButton.js';
import { getStyles } from './FacepileButton.styles.js';

var FacepileButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(FacepileButton, _BaseComponent);

  var _super = _createSuper(FacepileButton);

  function FacepileButton() {
    _classCallCheck(this, FacepileButton);

    return _super.apply(this, arguments);
  }

  _createClass(FacepileButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];

      var props = _objectSpread2(_objectSpread2({}, this.$props), {}, {
        variantClassName: 'ms-Button--facepile',
        styles: this.internalStyles
      });

      return h(BaseButton$1, _mergeJSXProps$1([{}, {
        props: props,
        attrs: this.$attrs,
        on: this.$listeners,
        scopedSlots: this.$scopedSlots
      }]), [this.$slots.flex]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      return getStyles(this.theme, this.className, this.styles);
    }
  }]);

  return FacepileButton;
}(BaseComponent$1);

FacepileButton = __decorate([Component], FacepileButton);

export { FacepileButton };
