import { objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { memoizeFunction } from '@uifabric-vue/utilities';
import { concatStyleSets } from '@uifabric/merge-styles';
import { getStyles as getStyles$1 } from '../../Button/BaseButton.styles.js';

var getStyles = memoizeFunction(function (theme, className, customStyles) {
  var baseButtonStyles = getStyles$1(theme);
  var customButtonStyles = concatStyleSets(baseButtonStyles, customStyles);
  return _objectSpread2(_objectSpread2({}, customButtonStyles), {}, {
    root: [baseButtonStyles.root, className, theme.fonts.medium, customStyles && customStyles.root]
  });
});

export { getStyles };
