import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent$1 from '../BaseComponent.js';
import { notifyHostChanged } from './Layer.notification.js';

var LayerHost = /*#__PURE__*/function (_BaseComponent) {
  _inherits(LayerHost, _BaseComponent);

  var _super = _createSuper(LayerHost);

  function LayerHost() {
    _classCallCheck(this, LayerHost);

    return _super.apply(this, arguments);
  }

  _createClass(LayerHost, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      return h("div", {
        "attrs": {
          "id": this.hostId
        },
        "class": "LayerHost"
      });
    }
  }, {
    key: "mounted",
    value: function mounted() {
      notifyHostChanged(this.hostId);
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      notifyHostChanged(this.hostId);
    }
  }]);

  return LayerHost;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: null
}), __metadata("design:type", String)], LayerHost.prototype, "hostId", void 0);

LayerHost = __decorate([Component({
  components: {}
})], LayerHost);

export { LayerHost };
