import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import BaseComponent$1 from '../BaseComponent.js';

var getClassNames = classNamesFunction();

var OverflowSetBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(OverflowSetBase, _BaseComponent);

  var _super = _createSuper(OverflowSetBase);

  function OverflowSetBase() {
    _classCallCheck(this, OverflowSetBase);

    return _super.apply(this, arguments);
  }

  _createClass(OverflowSetBase, [{
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          items = this.items,
          overflowItems = this.overflowItems;
      return h("div", {
        "class": classNames.root
      }, [items.map(function (item, index) {
        return h("div", {
          "key": index,
          "class": classNames.item
        }, [_this.$scopedSlots.item && _this.$scopedSlots.item({
          item: item
        })]);
      }), overflowItems && overflowItems.length > 0 && h("div", {
        "class": classNames.overflowButton
      }, [this.$scopedSlots.overflow && this.$scopedSlots.overflow({
        items: overflowItems
      })])]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var styles = this.styles,
          className = this.className,
          vertical = this.vertical;
      return getClassNames(styles, {
        className: className,
        vertical: vertical
      });
    }
  }]);

  return OverflowSetBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], OverflowSetBase.prototype, "items", void 0);

__decorate([Prop({
  type: Array,
  default: function _default() {
    return [];
  }
}), __metadata("design:type", Array)], OverflowSetBase.prototype, "overflowItems", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], OverflowSetBase.prototype, "vertical", void 0);

OverflowSetBase = __decorate([Component({
  components: {}
})], OverflowSetBase);

export { OverflowSetBase };
