import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { css } from '@uifabric-vue/utilities';
import { getTheme } from '@uifabric/styling';
import lib from '../../node_modules/vue-tsx-support/lib/index.js';

var StatelessComponent = /*#__PURE__*/function (_TsxComponent) {
  _inherits(StatelessComponent, _TsxComponent);

  var _super = _createSuper(StatelessComponent);

  function StatelessComponent() {
    _classCallCheck(this, StatelessComponent);

    return _super.apply(this, arguments);
  }

  _createClass(StatelessComponent, [{
    key: "css",
    value: function css$1() {
      return css.apply(void 0, arguments);
    }
  }]);

  return StatelessComponent;
}(lib.Component);

__decorate([Prop({
  type: [String, Array],
  default: ''
}), __metadata("design:type", String)], StatelessComponent.prototype, "className", void 0);

__decorate([Prop({
  type: [Object, Function],
  default: function _default() {}
}), __metadata("design:type", Object)], StatelessComponent.prototype, "styles", void 0);

__decorate([Prop({
  type: Object,
  default: function _default() {
    return getTheme();
  }
}), __metadata("design:type", Object)], StatelessComponent.prototype, "theme", void 0);

StatelessComponent = __decorate([Component({
  // @ts-ignore
  functional: true,
  provide: {}
})], StatelessComponent);
var StatelessComponent$1 = StatelessComponent;

export default StatelessComponent$1;
