import { hsv2rgb as hsv2rgb$1 } from './hsv2rgb.js';
import { hsl2hsv as hsl2hsv$1 } from './hsl2hsv.js';

/** Converts HSL components to an RGB color. Does not set the alpha value. */

function hsl2rgb(h, s, l) {
  var hsv = hsl2hsv$1(h, s, l);
  return hsv2rgb$1(hsv.h, hsv.s, hsv.v);
}

export { hsl2rgb };
