import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction, toMatrix } from '@uifabric-vue/utilities';
import BaseComponent$1 from '../../components/BaseComponent.js';

var getClassNames = classNamesFunction();

var GridBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(GridBase, _BaseComponent);

  var _super = _createSuper(GridBase);

  function GridBase() {
    _classCallCheck(this, GridBase);

    return _super.apply(this, arguments);
  }

  _createClass(GridBase, [{
    key: "render",
    value: function render() {
      var _this = this;

      var h = arguments[0];
      var classNames = this.classNames,
          rowsOfItems = this.rowsOfItems;
      return h("table", {
        "class": classNames.root
      }, [h("tbody", [rowsOfItems.map(function (rows, rowIndex) {
        return h("tr", {
          "key": "".concat(_this.uid, "-").concat(rowIndex, "-row"),
          "attrs": {
            "role": "row"
          }
        }, [rows.map(function (cell, cellIndex) {
          return h("td", {
            "key": "".concat(_this.uid, "-").concat(rowIndex, "-").concat(cellIndex, "-cell"),
            "class": classNames.tableCell
          }, [_this.$scopedSlots.default ? _this.$scopedSlots.default({
            cell: cell,
            index: cellIndex
          }) : null]);
        })]);
      })])]);
    }
  }, {
    key: "rowsOfItems",
    get: function get() {
      var items = this.items,
          columnCount = this.columnCount;
      return toMatrix(items, columnCount);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getClassNames(styles, {
        theme: theme
      });
    }
  }]);

  return GridBase;
}(BaseComponent$1);

__decorate([Prop(), __metadata("design:type", Array)], GridBase.prototype, "items", void 0);

__decorate([Prop(), __metadata("design:type", Number)], GridBase.prototype, "columnCount", void 0);

GridBase = __decorate([Component({
  components: {},
  inheritAttrs: false
})], GridBase);

export { GridBase };
