import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, defineProperty as _defineProperty } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { css } from '@uifabric-vue/utilities';
import BaseComponent$1 from '../../components/BaseComponent.js';
import _mergeJSXProps$1 from '@vue/babel-helper-vue-jsx-merge-props';
import { ActionButton as ActionButton$1 } from '../../components/Button/ActionButton/ActionButton.js';

var GridCell = /*#__PURE__*/function (_BaseComponent) {
  _inherits(GridCell, _BaseComponent);

  var _super = _createSuper(GridCell);

  function GridCell() {
    _classCallCheck(this, GridCell);

    return _super.apply(this, arguments);
  }

  _createClass(GridCell, [{
    key: "render",
    value: function render() {
      var _css;

      var h = arguments[0];
      var className = this.className,
          item = this.item,
          cellDisabledStyle = this.cellDisabledStyle,
          cellIsSelectedStyle = this.cellIsSelectedStyle,
          selected = this.selected,
          disabled = this.disabled;
      return h(ActionButton$1, _mergeJSXProps$1([{
        "class": css(className, (_css = {}, _defineProperty(_css, '' + cellIsSelectedStyle, selected), _defineProperty(_css, '' + cellDisabledStyle, disabled), _css)),
        "attrs": {
          "getClassNames": this.getClassNames
        }
      }, {
        scopedSlots: {
          flex: this.$scopedSlots.default
        }
      }]));
    }
  }]);

  return GridCell;
}(BaseComponent$1);

__decorate([Prop({
  type: Object,
  default: function _default() {}
}), __metadata("design:type", Object)], GridCell.prototype, "item", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], GridCell.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean
}), __metadata("design:type", Boolean)], GridCell.prototype, "selected", void 0);

__decorate([Prop({
  type: String
}), __metadata("design:type", String)], GridCell.prototype, "cellDisabledStyle", void 0);

__decorate([Prop({
  type: String
}), __metadata("design:type", String)], GridCell.prototype, "cellIsSelectedStyle", void 0);

__decorate([Prop(), __metadata("design:type", Object)], GridCell.prototype, "getClassNames", void 0);

GridCell = __decorate([Component({
  components: {
    ActionButton: ActionButton$1
  }
})], GridCell);

export { GridCell };
