import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent$1 from '../../BaseComponent.js';
import { BaseButton as BaseButton$1 } from '../BaseButton.js';
import { getStyles } from './CompoundButton.styles.js';

var CompoundButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(CompoundButton, _BaseComponent);

  var _super = _createSuper(CompoundButton);

  function CompoundButton() {
    _classCallCheck(this, CompoundButton);

    return _super.apply(this, arguments);
  }

  _createClass(CompoundButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var primary = this.primary,
          internalStyles = this.internalStyles;
      var props = {
        variantClassName: primary ? 'ms-Button--compoundPrimary' : 'ms-Button--compound',
        styles: internalStyles
      };
      return h(BaseButton$1, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var _this$primary = this.primary,
          primary = _this$primary === void 0 ? false : _this$primary,
          theme = this.theme;
      var styles = {};
      return getStyles(theme, styles, primary);
    }
  }]);

  return CompoundButton;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], CompoundButton.prototype, "primary", void 0);

CompoundButton = __decorate([Component], CompoundButton);

export { CompoundButton };
