import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent$1 from '../../BaseComponent.js';
import { BaseButton as BaseButton$1 } from '../BaseButton.js';
import { getStyles } from './DefaultButton.styles.js';

var DefaultButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(DefaultButton, _BaseComponent);

  var _super = _createSuper(DefaultButton);

  function DefaultButton() {
    _classCallCheck(this, DefaultButton);

    return _super.apply(this, arguments);
  }

  _createClass(DefaultButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var primary = this.primary,
          internalStyles = this.internalStyles;

      var props = _objectSpread2(_objectSpread2({}, this.$props), {}, {
        variantClassName: primary ? 'ms-Button--primary' : 'ms-Button--default',
        styles: internalStyles
      });

      return h(BaseButton$1, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var _this$primary = this.primary,
          primary = _this$primary === void 0 ? false : _this$primary,
          theme = this.theme;
      return getStyles(theme, this.styles, primary);
    }
  }]);

  return DefaultButton;
}(BaseComponent$1);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], DefaultButton.prototype, "text", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DefaultButton.prototype, "primary", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], DefaultButton.prototype, "disabled", void 0);

DefaultButton = __decorate([Component], DefaultButton);

export { DefaultButton };
