import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import BaseComponent$1 from '../../BaseComponent.js';
import { BaseButton as BaseButton$1 } from '../BaseButton.js';
import { getStyles } from './IconButton.styles.js';

var IconButton = /*#__PURE__*/function (_BaseComponent) {
  _inherits(IconButton, _BaseComponent);

  var _super = _createSuper(IconButton);

  function IconButton() {
    _classCallCheck(this, IconButton);

    return _super.apply(this, arguments);
  }

  _createClass(IconButton, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var disabled = this.disabled,
          internalStyles = this.internalStyles;
      var props = {
        disabled: disabled,
        variantClassName: 'ms-Button--icon',
        styles: internalStyles
      };
      return h(BaseButton$1, {
        "props": _objectSpread2({}, props),
        "attrs": _objectSpread2({}, this.$attrs)
      }, [this.$slots.default]);
    }
  }, {
    key: "internalStyles",
    get: function get() {
      var theme = this.theme,
          styles = this.styles;
      return getStyles(theme, styles);
    }
  }]);

  return IconButton;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], IconButton.prototype, "disabled", void 0);

IconButton = __decorate([Component({
  components: {
    BaseButton: BaseButton$1
  },
  inheritAttrs: false
})], IconButton);

export { IconButton };
