import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectWithoutProperties as _objectWithoutProperties, objectSpread2 as _objectSpread2 } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import StatelessComponent$1 from '../StatelessComponent.js';
import { Layer as Layer$1 } from '../Layer/Layer.js';
import { DirectionalHint as DirectionalHint$1 } from '../../common/DirectionalHint.js';
import { CalloutContent as CalloutContent$1 } from './CalloutContent.js';

var Callout = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(Callout, _StatelessComponent);

  var _super = _createSuper(Callout);

  function Callout() {
    _classCallCheck(this, Callout);

    return _super.apply(this, arguments);
  }

  _createClass(Callout, [{
    key: "render",
    value: function render(h, context) {
      if (!(context.props.target instanceof Node)) return;

      var _context$props = context.props,
          layerProps = _context$props.layerProps,
          rest = _objectWithoutProperties(_context$props, ["layerProps"]);

      var content = h(CalloutContent$1, _objectSpread2(_objectSpread2({}, context.data), {}, {
        props: _objectSpread2(_objectSpread2({}, rest), context.data.attrs)
      }), context.children);
      return context.props.doNotLayer ? content : h(Layer$1, _objectSpread2(_objectSpread2({}, context.data), {}, {
        props: _objectSpread2({}, layerProps)
      }), [content]);
    }
  }]);

  return Callout;
}(StatelessComponent$1);

__decorate([Prop({
  type: HTMLElement,
  required: true
}), __metadata("design:type", Object)], Callout.prototype, "target", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Callout.prototype, "doNotLayer", void 0);

__decorate([Prop({
  type: Number,
  default: DirectionalHint$1.bottomAutoEdge
}), __metadata("design:type", Boolean)], Callout.prototype, "directionalHint", void 0);

Callout = __decorate([Component], Callout);

export { Callout };
