import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import vue$1 from 'vue';

var DelayedRender = /*#__PURE__*/function (_Vue) {
  _inherits(DelayedRender, _Vue);

  var _super = _createSuper(DelayedRender);

  function DelayedRender() {
    var _this;

    _classCallCheck(this, DelayedRender);

    _this = _super.apply(this, arguments);
    _this.isRendered = false;
    return _this;
  }

  _createClass(DelayedRender, [{
    key: "mounted",
    value: function mounted() {
      var _this2 = this;

      this.timeoutId = setTimeout(function () {
        _this2.isRendered = true;
      }, this.delay);
    }
  }, {
    key: "beforeDestroy",
    value: function beforeDestroy() {
      if (this.timeoutId) clearTimeout(this.timeoutId);
    }
  }, {
    key: "render",
    value: function render() {
      var h = arguments[0];
      return this.isRendered ? h("div", [this.$slots.default]) : null;
    }
  }]);

  return DelayedRender;
}(vue$1);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], DelayedRender.prototype, "delay", void 0);

DelayedRender = __decorate([Component], DelayedRender);

export { DelayedRender };
