import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent$1 from '../StatelessComponent.js';

var getClassNames = classNamesFunction();
var VerticalDividerBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(VerticalDividerBase, _StatelessComponent);

  var _super = _createSuper(VerticalDividerBase);

  function VerticalDividerBase() {
    _classCallCheck(this, VerticalDividerBase);

    return _super.apply(this, arguments);
  }

  _createClass(VerticalDividerBase, [{
    key: "render",
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          styles = _ctx$props.styles,
          theme = _ctx$props.theme,
          className = _ctx$props.className;
      var classNames = getClassNames(styles, {
        theme: theme,
        className: className
      });
      return h("span", {
        "class": classNames.wrapper
      }, [h("span", {
        "class": classNames.divider
      })]);
    }
  }]);

  return VerticalDividerBase;
}(StatelessComponent$1);

export { VerticalDividerBase };
