import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { css } from '@uifabric-vue/utilities';
import StatelessComponent$1 from '../StatelessComponent.js';
import { MS_ICON, classNames } from './Icon.styles.js';
import { Image } from '../Image/index.js';

var ImageIcon = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(ImageIcon, _StatelessComponent);

  var _super = _createSuper(ImageIcon);

  function ImageIcon() {
    _classCallCheck(this, ImageIcon);

    return _super.apply(this, arguments);
  }

  _createClass(ImageIcon, [{
    key: "render",
    value: function render(h, context) {
      var imageProps = context.props.imageProps;
      var className = [context.props.className, context.data.class].filter(function (e) {
        return e;
      }).join(' ');
      var containerProps = context.data.attrs && context.data.attrs['aria-label'] ? {} : {
        role: 'presentation',
        'aria-hidden': !(imageProps.alt || imageProps['aria-labelledby'])
      };
      return h("div", {
        "props": _objectSpread2({}, containerProps),
        "class": css(MS_ICON, classNames.root, classNames.image, className)
      }, [h(Image, {
        "props": _objectSpread2({}, imageProps)
      })]);
    }
  }]);

  return ImageIcon;
}(StatelessComponent$1);

__decorate([Prop({
  type: Object,
  default: null
}), __metadata("design:type", Object)], ImageIcon.prototype, "imageProps", void 0);

ImageIcon = __decorate([Component], ImageIcon);

export { ImageIcon };
