import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent$1 from '../StatelessComponent.js';
import _mergeJSXProps$1 from '@vue/babel-helper-vue-jsx-merge-props';

var getClassNames = classNamesFunction({
  disableCaching: true
});

var LabelBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(LabelBase, _StatelessComponent);

  var _super = _createSuper(LabelBase);

  function LabelBase() {
    _classCallCheck(this, LabelBase);

    return _super.apply(this, arguments);
  }

  _createClass(LabelBase, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          theme = _context$props.theme,
          className = _context$props.className,
          disabled = _context$props.disabled,
          required = _context$props.required;
      var classNames = getClassNames(context.props.styles, {
        className: className,
        disabled: disabled,
        required: required,
        theme: theme
      });
      return h("label", _mergeJSXProps$1([{
        "class": classNames.root
      }, context.data]), [context.children]);
    }
  }]);

  return LabelBase;
}(StatelessComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], LabelBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], LabelBase.prototype, "required", void 0);

LabelBase = __decorate([Component], LabelBase);

export { LabelBase };
