import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass, objectSpread2 as _objectSpread2 } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent$1 from '../StatelessComponent.js';

var getClassNames = classNamesFunction();

var LinkBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(LinkBase, _StatelessComponent);

  var _super = _createSuper(LinkBase);

  function LinkBase() {
    _classCallCheck(this, LinkBase);

    return _super.apply(this, arguments);
  }

  _createClass(LinkBase, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          theme = _context$props.theme,
          className = _context$props.className,
          styles = _context$props.styles,
          href = _context$props.href,
          disabled = _context$props.disabled;
      var classNames = getClassNames(styles, {
        theme: theme,
        className: className,
        isButton: !href,
        isDisabled: disabled
      });
      var component = href ? 'a' : 'button';
      return h(component, _objectSpread2(_objectSpread2({}, context.data), {}, {
        class: classNames.root,
        attrs: _objectSpread2(_objectSpread2(_objectSpread2({}, context.data.attrs), href && {
          href: href
        }), !href && {
          type: 'button'
        })
      }), context.children);
    }
  }]);

  return LinkBase;
}(StatelessComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], LinkBase.prototype, "disabled", void 0);

__decorate([Prop({
  type: String,
  default: ''
}), __metadata("design:type", String)], LinkBase.prototype, "href", void 0);

LinkBase = __decorate([Component], LinkBase);

export { LinkBase };
