import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import BaseComponent$1 from '../BaseComponent.js';

var getClassNames = classNamesFunction();

var OverlayBase = /*#__PURE__*/function (_BaseComponent) {
  _inherits(OverlayBase, _BaseComponent);

  var _super = _createSuper(OverlayBase);

  function OverlayBase() {
    _classCallCheck(this, OverlayBase);

    return _super.apply(this, arguments);
  }

  _createClass(OverlayBase, [{
    key: "render",
    value: function render() {
      var h = arguments[0];
      var classNames = this.classNames;
      return h("div", {
        "class": classNames.root
      }, [this.$slots.default]);
    }
  }, {
    key: "classNames",
    get: function get() {
      var theme = this.theme,
          className = this.className,
          isDark = this.dark;
      return getClassNames(this.styles, {
        theme: theme,
        className: className,
        isDark: isDark
      });
    }
  }]);

  return OverlayBase;
}(BaseComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], OverlayBase.prototype, "dark", void 0);

OverlayBase = __decorate([Component], OverlayBase);

export { OverlayBase };
