import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent$1 from '../../StatelessComponent.js';
import { ShimmerElementsDefaultHeights } from '../Shimmer.types.js';
import { ShimmerLine as ShimmerLine$1 } from '../ShimmerLine/ShimmerLine.js';

var getClassNames = classNamesFunction();

var ShimmerElementsGroupBase = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(ShimmerElementsGroupBase, _StatelessComponent);

  var _super = _createSuper(ShimmerElementsGroupBase);

  function ShimmerElementsGroupBase() {
    _classCallCheck(this, ShimmerElementsGroupBase);

    return _super.apply(this, arguments);
  }

  _createClass(ShimmerElementsGroupBase, [{
    key: "render",
    // @Prop()
    value: function render(h, ctx) {
      var _ctx$props = ctx.props,
          styles = _ctx$props.styles,
          theme = _ctx$props.theme;
      var classNames = getClassNames(styles, {
        theme: theme
      });
      return h("div", {
        "class": classNames.root
      }, [h("shimmer-line", {
        "attrs": {
          "height": ShimmerElementsDefaultHeights.line
        }
      })]);
    }
  }]);

  return ShimmerElementsGroupBase;
}(StatelessComponent$1);

ShimmerElementsGroupBase = __decorate([Component({
  components: {
    ShimmerLine: ShimmerLine$1
  }
})], ShimmerElementsGroupBase);
var ShimmerElementsGroupBase$1 = ShimmerElementsGroupBase;

export default ShimmerElementsGroupBase$1;
