import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import { mergeStyleSets, getTheme } from '@uifabric/styling';
import StatelessComponent$1 from '../../StatelessComponent.js';
import { StackItemStyles } from './StackItem.styles.js';

var getClassNames = classNamesFunction({
  disableCaching: true
});

var StackItem = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(StackItem, _StatelessComponent);

  var _super = _createSuper(StackItem);

  function StackItem() {
    _classCallCheck(this, StackItem);

    return _super.apply(this, arguments);
  }

  _createClass(StackItem, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          grow = _context$props.grow,
          shrink = _context$props.shrink,
          disableShrink = _context$props.disableShrink,
          align = _context$props.align,
          verticalFill = _context$props.verticalFill,
          order = _context$props.order,
          className = _context$props.className,
          styles = _context$props.styles;
      var classNames = getClassNames(mergeStyleSets(StackItemStyles({
        grow: grow,
        shrink: shrink,
        disableShrink: disableShrink,
        align: align,
        verticalFill: verticalFill,
        order: order,
        className: className
      }, getTheme(), {}), styles));
      return h("div", {
        "class": classNames.root
      }, [context.children]);
    }
  }]);

  return StackItem;
}(StatelessComponent$1);

__decorate([Prop({
  type: [Number, Boolean],
  default: 0
}), __metadata("design:type", Object)], StackItem.prototype, "grow", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "shrink", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "disableShrink", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "align", void 0);

__decorate([Prop(), __metadata("design:type", Object)], StackItem.prototype, "verticalFill", void 0);

__decorate([Prop({
  type: Number,
  default: null
}), __metadata("design:type", Number)], StackItem.prototype, "order", void 0);

__decorate([Prop({
  type: Number,
  default: 0
}), __metadata("design:type", Number)], StackItem.prototype, "test", void 0);

StackItem = __decorate([Component({
  components: {}
})], StackItem);
var StackItem$1 = StackItem;

export default StackItem$1;
