import { inherits as _inherits, createSuper as _createSuper, classCallCheck as _classCallCheck, createClass as _createClass } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { __decorate, __metadata } from '../../../../../node_modules/tslib/tslib.es6.js';
import { Prop, Component } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent$1 from '../StatelessComponent.js';
import _mergeJSXProps$1 from '@vue/babel-helper-vue-jsx-merge-props';

var getClassNames = classNamesFunction();

var Text = /*#__PURE__*/function (_StatelessComponent) {
  _inherits(Text, _StatelessComponent);

  var _super = _createSuper(Text);

  function Text() {
    _classCallCheck(this, Text);

    return _super.apply(this, arguments);
  }

  _createClass(Text, [{
    key: "render",
    value: function render(h, context) {
      var _context$props = context.props,
          theme = _context$props.theme,
          styles = _context$props.styles,
          block = _context$props.block,
          nowrap = _context$props.nowrap,
          variant = _context$props.variant;
      var classNames = getClassNames(styles, {
        theme: theme,
        block: block,
        nowrap: nowrap,
        variant: variant
      });
      return h("span", _mergeJSXProps$1([{}, context.data, {
        "class": classNames.root
      }]), [context.children]);
    }
  }]);

  return Text;
}(StatelessComponent$1);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Text.prototype, "nowrap", void 0);

__decorate([Prop({
  type: Boolean,
  default: false
}), __metadata("design:type", Boolean)], Text.prototype, "block", void 0);

__decorate([Prop({
  type: String,
  default: 'medium'
}), __metadata("design:type", String)], Text.prototype, "variant", void 0);

Text = __decorate([Component], Text);
var TextView = Text;

export default TextView;
